I'm looking for an extension (or easy technique) of creating a shell of an object. This means creating a group that wraps the external volume of an object.
Posts
-
Extension that creates a shell of an object?
-
Is there an extension to create visio-like connectors?
Basically I want to draw an arced arrow from one group to another and have it "glue" to the groups when I move them
-
Help creating a dimension
I'm using the latest Sketchup Make (2017). I have the attached model. What I'm trying to do is create a dimension that will be a duplicate of the one in the drawing. So I select the dimension and then in the console:
ss = Sketchup.active_model.selection #<Sketchup;;Selection;0x00000010cf1e20> dim = ss[0] #<Sketchup;;DimensionLinear;0x00000010d20680> dim2 = dim.parent.entities.add_dimension_linear(dim.start, dim.end, dim.offset_vector) #<Sketchup;;DimensionLinear;0x00000011dd0570> dim.hidden = true true
The new dimension is not seen, nor selected when I do ctrl-A. Furthermore:
dim.start [#<Sketchup;;Vertex;0x00000011ac4a20>, Point3d(-4.19399, -68.4499, 42.0472)] dim2.start [#<Sketchup;;Vertex;0x00000011ac4a20>, Point3d(68.4499, 0, 42.0472)]
So the two dimensions are attached to the same vertex, but with different points. The following doesn't work either:
dim3 = dim.parent.entities.add_dimension_linear([dim.start[0], dim.start[1]], [dim.end[0],dim.end[1]], dim.offset_vector) #<Sketchup;;DimensionLinear;0x0000001363d018> dim.start [#<Sketchup;;Vertex;0x00000011ac4a20>, Point3d(-4.19399, -68.4499, 42.0472)] dim3.start [#<Sketchup;;Vertex;0x00000011ac4a20>, Point3d(68.4499, 0, 42.0472)]
Is this a bug or am I doing it wrong?
-
RE: [Plugin] TIG-DualDims
It would be nice if the tool supports showing just one unit, that is different than the current units and also if it could support custom units (e.g. cm/2) with custom annotations (so if something measures 10cm, I can make the dimensions show "5cm" using the tool). This is good to allow scaling while retaining dimensions of the pre-scaled geometry
-
RE: Scaling without changing dimensions?
I have a desk. I want to show the entire desk from front, top, left view. So I copy it 3 times, rotate and position the 3 copies in the viewport. Now I want to show the corner of the desk enlarged.
Option I: I print the view port into PDF, then zoom in on the corner (maybe in another copy) and print that. The disadvantage is that I now have 2 pdfs to present.
Option II: I create another copy, put it behind a white face that has a hole and position the corner so it is behind the hole. I position both the copy and the face behind the other copies. now, when viewed from the front, the 3 copies are seen, but (because of the face with the hole), only the corner of the desk is seen in the 4th copy. Now I can scale that copy so the corner is larged.I want to use Option II. But my problem is that if I put dimensions on it, then they scale as well. So if the original had dimension value 10, and I scale to twice the size, the dimension will now show 20.
My question was, whether there is a way for the dimension to show 10 without manually overwriting it, which will make it show 10 always, even if I change the geometry.
One way that occurred to me is that maybe there's an extension to show dimension by other (custom) units. Then I create a unit that is half my normal units and then the '10' will be the value after scaling by twice.
And I wrote at the beginning of my question I use Make. With Pro I could probably use Layout for all of this, but it is way too expensive for my (private) use
-
Scaling without changing dimensions?
I'm trying to create a furniture plan using Make. So I use parallel projection, copy and rotate the furniture and add dimensions. Then I can print to PDF. The problem is what to do when there is a particular part of it that I want to enlarge to show the details. One way is of course to copy it to the side and print to a separate PDF with more zoom. But that is awkward. Is there a way to make part of a model look larger in parallel projection? If I scale it, then dimensions are scaled and if I manually type them, then if I make a change to the furniture, the dimensions are not updated. Is there a way to "scale" dimensions down? (btw, I hide the rest of the furniture by creating a white face with a hole and hidden edges that I place in front of the detail I want to show and behind the other copies of the furniture).
-
Seeking tips on showing how drawers open in Make plan
Hi,
I'm trying to create plans for furniture so that I can give a carpenter. I use Make, as I'm a private person and Pro is way too expensive.
So I take the furniture (a cabinet for example), make it into a component and then I can copy and position it in different rotations so that when I use parallel projection and print to PDF, it looks like a plan. This is nice, I can even rotate to provide an isometric view in the plan.
However, one thing I can't do right is when I want to show how drawers/doors/trays open. I guess I can draw hinges and such, but I want to just have a view where all these are open (to show to what side doors are open, when something is a door vs a drawer in a TV cabinet, etc.). I can make a copy of the component and convert it to be unique, but I'd have to do it for sub components as well (that contain the door/drawer) and also, there is then the risk that I'll make changes to the original component and forget to update the copy.
Is there a plugin that maintains a copy of a component such that I can rotate / translate some groups in the component tree, but everything else remains linked to changes in the original? Any other approaches?
And another thing I'd love to get tips for: sometimes I want to enlarge part of a furniture, so some detail can be seen. With parallel projection, simply moving it closer to the camera makes no difference. I can scale it, but then any dimensions I make also scale. I can edit them manually to show the real dimension, but then again, any changes I make to the geometry will not be reflected in a change in the dimension (meaning I may end up submitting plans with errors)
-
RE: Dimensions not showing when printing to PDF 'printer'? (Make
If I use "use high accuracy HLR", dimensions show, but now texture don't...
-
RE: Dimensions not showing when printing to PDF 'printer'? (Make
Dimensions are printed when used in another model that I just created. Is it a setting or style in my model?
-
Dimensions not showing when printing to PDF 'printer'? (Make
Hello,
I try to print a model that has some dimensions using cutepdf printer driver. Everything is good except that the dimensions are missing. What's wrong?Regards
-
Is there an extension to produce text tables?
I'm looking for something that would allow me to add a text table to the model. Maybe import (or paste) from another document (or application) like Word/Excel. I know I can create a screenshot of the table and paste as an image, but looking for something a bit more advanced, e.g. that would scale well, allow to change the text, etc.
-
RE: How to flatten faces to a cut
The question is how to show the faces that are not cut, but rather in front of the cut (as in the rightmost example in my demo model).
I guess I can copy the model 4 times, rotate and do a cut on each copy and then export, was hoping for something more structured
-
RE: How to flatten faces to a cut
This is why I mentioned I would like to position several cuts near each other. I don't want to have to position the camera 4 time, toggling my cut planes on and off, with 4 exports and then some kind of pdf editor to lay them together.
What I'm looking for is a way to create a 2d cut, move it somewhere, create another, position it next to the first, etc, then put a frame and some writing around them and export
-
RE: How to flatten faces to a cut
Attached is a demo model. On the left is the model with a cut plane and SectionCutFace applied. To the right of it, I copied the face. If I have only it (and the point is to lay it with some other cuts), the middle divider in the model is not visible. On the right I've manually copied the face of the divider to show the result I'm looking for. This is of course manual and error prone with a more complex model, so I'm looking for some help
-
How to flatten faces to a cut
Hi,
I have created several cuts in my model (a credenza), and used SectionCutFace to create faces of the cut. The problem is that I want to move these away from the model, so I can lay them out to export to a PDF (I don't have Pro). So I want to also have the faces behind the cut, as is expected in a plan. I tried to use Flatten to Plane but it doesn't work (gives errors when used in my model and when I copy the credenza to a new model, it works but what is created doesn't look related to the credenza). So any other suggestions? Maybe even requiring a small amount of manual work.
Thank you. -
RE: Re: [Plugin] Flatten to Plane v1.2 20101023
I used the sketchucation plugin to install
-
RE: Re: [Plugin] Flatten to Plane v1.2 20101023
Trying to use the plugin, I select a work plane and a group and click flatten to plane and I get:
Error: #<NoMethodError: undefined methodtransformation' for #<Sketchup::ComponentDefinition:0x0000004f028fb0>> C:/Users/idror/AppData/Roaming/SketchUp/SketchUp 2017/SketchUp/Plugins/#FlattenToPlane.rb:93:in
activate'
C:/Users/idror/AppData/Roaming/SketchUp/SketchUp 2017/SketchUp/Plugins/#FlattenToPlane.rb:186:inselect_tool' C:/Users/idror/AppData/Roaming/SketchUp/SketchUp 2017/SketchUp/Plugins/#FlattenToPlane.rb:186:in
flattentoplane'
C:/Users/idror/AppData/Roaming/SketchUp/SketchUp 2017/SketchUp/Plugins/#FlattenToPlane.rb:192:inblock in <top (required)>' SketchUp:1:in
call'When I load a simple model everything works
-
RE: Free collection of doors and drawers for carpentry
@dave r said:
What kind of changes are you expecting to make that would be so tricky? Why do they have to be dynamic components?
I want to show how a door opens (up/down/left/right), etc. Basically so I can export images in the different positions (cabinet closed, cabinet opened with drawer pulled out) without needing to keep&sync different models.
I need to get a working dynamic component (since I can't create one) and then be able to change its dimensions and color. In my experience when I try to do this it is either tricky (have to open it several groups), or it starts working weird (even if I try to just scale)
-
RE: Free collection of doors and drawers for carpentry
@dave r said:
Doors and drawers are not difficult to draw from scratch and can be made to meet your needs exactly. Make them components and you can save them for later use. You can look in the 3D Warehouse and you'll probably find some. Depending on how they are drawn they may or may not be simple to modify.
But I can't make them dynamic because I don't have Pro. Looking at 3D warehouse for dynamic components they are tricky to change (no attributes) and/or behave weird after the change.
-
Free collection of doors and drawers for carpentry
Hi,
I'm a hobbyist SketchUp user, designing furniture to hand to carpenters for my own home. So I won't invest in buying a SketchUp Pro license.
However, it is nice to be able to show how a cabinet "works" by being able to pull out drawers, trays, etc.
I think this means dynamic components. But would love to hear what other people do. Is there a collection of dynamic drawers/trays/doors that can be modified (size, color) so I can fit them in my designs? Not looking for something fancy, just basic movements.